Bug 771370 - Boost math libraries still needed
Boost math libraries still needed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-03 09:31 EST by Matthieu Volat
Modified: 2015-05-04 21:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: boost141-1.41.0-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 14:20:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthieu Volat 2012-01-03 09:31:55 EST
Description of problem:
The most recent included package of the boost libraries deprecates the math libraries under the reasoning that those are now implemented as template in the header. However, those libraries are still produced and used by at least one function.

Version-Release number of selected component (if applicable):
1.47.0-4

How reproducible:
Try to compile a program that uses the std::tr1::cbrt from boost.

Steps to Reproduce:
1. Write the following program as a C++ source file:
#include <boost/tr1/cmath.hpp>

int main(void)
{
    double d = std::tr1::cbrt(12.f);
    return 0;
}
2. Try to generate the object file
3. Try to link the object file as executable
  
Actual results:
You can create the object file, bot not the executable because of the boost_cbrt symbol that is provided by the boost_math libraries.

Expected results:
If the math library was header-implemented, no libraries should have been needed. If not, we should be able to link against the math libraries that are not available.

Additional info:
A workaround would be to use other cbrt implementation, but this require patching against code that should work without it.
Comment 1 Petr Machata 2012-01-03 12:33:11 EST
It seems that we don't compile the math library by mistake.
Comment 2 Petr Machata 2012-01-04 11:54:15 EST
I've pushed a fix to rawhide, now trying local build in F16.  If all is smooth, I'll spin an update.

Denis, could you please somehow transpose a corresponding fix into your cmakeified-boost repository?
Comment 3 Fedora Update System 2012-01-04 13:11:47 EST
boost-1.47.0-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/boost-1.47.0-5.fc16
Comment 4 Fedora Update System 2012-01-04 18:32:18 EST
boost-1.47.0-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/boost-1.47.0-6.fc16
Comment 5 Fedora Update System 2012-01-05 15:57:34 EST
Package boost-1.47.0-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing boost-1.47.0-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0106/boost-1.47.0-6.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Admin XMLRPC Client 2012-01-11 07:31:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2012-01-11 09:52:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Update System 2012-01-15 15:11:40 EST
boost-1.47.0-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-06-06 20:51:09 EDT
boost-1.47.0-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/boost-1.47.0-7.fc16
Comment 10 Fedora Update System 2012-07-03 11:57:01 EDT
boost-1.47.0-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-07 19:43:09 EDT
boost141-1.41.0-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/boost141-1.41.0-5.el5
Comment 12 Fedora Update System 2013-10-08 16:38:06 EDT
Package boost141-1.41.0-5.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing boost141-1.41.0-5.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11777/boost141-1.41.0-5.el5
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-10-23 14:20:13 EDT
boost141-1.41.0-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.